<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div class="container">
        <h1>Register</h1>
        <form method="POST">{%csrf_token%}
            {{register_form.as_p}}
            <button class="btn btn-primary" type="submit">Register</button>
        </form>
        <p>If you are already registered, please <a href="{%url 'my_app:login' %}">login</a></p>
    </div>
    {% if messages %}
<ul class="messages">
    {% for message in messages %}
    <li {% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
    {% endfor %}
</ul>
{% endif %}
</body>
</html>